#include "AllCommands.h"

AutoBinToWallRobotToZone::AutoBinToWallRobotToZone(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new DriveAutoDrive(&m_cancel, 0, true, Drive::eBoth, false, 0, Drive::fNewMark, 40, 0.6, 0));
	AddSequential(new DriveAutoStrafe(&m_cancel, 2.0, true, Drive::eLeft, false, 0, Drive::fMark, 15, -0.5));
	AddSequential(new WaitCommand(1.25));
	AddSequential(new DriveAutoDrive(&m_cancel, 0, true, Drive::eBoth, true, 0, Drive::fMark, -115, 0.5, 0));
	AddSequential(new ElevSetPosition(Elevator::pBinLoad));
}

bool AutoBinToWallRobotToZone::IsFinished() {
	return m_cancel ? true : CommandGroup::IsFinished();
}
