#include "AllCommands.h"

AutoRobotToZone::AutoRobotToZone(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new DriveAutoDrive(&m_cancel, 0, true, Drive::eBoth, true, 0, Drive::fNewMark, -60, 0.4, 0));   // -80
}

bool AutoRobotToZone::IsFinished() {
	return m_cancel ? true : CommandGroup::IsFinished();
}

