#include "AllCommands.h"

AutoSolo3ToteToZone::AutoSolo3ToteToZone(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new ElevSetPosition(Elevator::pStepTote));								// Raise elevator
	AddSequential(new ElevWaitForOnTarget());
	AddSequential(new DriveAutoRotate(&m_cancel, 0, 30, Drive::fNewMark, 0.6));

}

bool AutoSolo3ToteToZone::IsFinished() {
	return m_cancel ? true : CommandGroup::IsFinished();
}
