#include "AllCommands.h"

DriveSetFeederAngle::DriveSetFeederAngle(bool useSonar) {
	Requires(MyRobot::drive);
	m_useSonar = useSonar;
	m_logReset = false;
}

void DriveSetFeederAngle::Initialize() {
	m_logReset = true;
}

void DriveSetFeederAngle::Execute() {
}

bool DriveSetFeederAngle::IsFinished() {
	bool isCompleted = MyRobot::drive->SetFeederAngle(m_useSonar, m_logReset);
	m_logReset = false;
	return isCompleted;
}

void DriveSetFeederAngle::End() {
}

void DriveSetFeederAngle::Interrupted() {
	MyRobot::robotLog->Write("Command Interrupt: DriveSetFeederAngle");
}
