#include "AllCommands.h"

DriveSetMode::DriveSetMode(Drive::DriveMode mode) {
	Requires(MyRobot::drive);
	m_mode = mode;
}

void DriveSetMode::Initialize() {
	MyRobot::drive->SetDriveMode(m_mode);
}

void DriveSetMode::Execute() {
}

bool DriveSetMode::IsFinished() {
	return true;
}

void DriveSetMode::End() {
}

void DriveSetMode::Interrupted() {
	MyRobot::robotLog->Write("Command Interrupt: DriveSetMode");
}
