#include "AllCommands.h"

ElevSetStackHold::ElevSetStackHold(Elevator::SolenoidState state) {
	Requires(MyRobot::elevator);
	m_state= state;
}

void ElevSetStackHold::Initialize() {
	MyRobot::elevator->SetStackHold(m_state);
}

void ElevSetStackHold::Execute() {
}

bool ElevSetStackHold::IsFinished() {
	return true;
}

void ElevSetStackHold::End() {
}

void ElevSetStackHold::Interrupted() {
	MyRobot::robotLog->Write("Command Interrupt: ElevSetStackHold");
}
