#include "AllCommands.h"

ElevSetToteEject::ElevSetToteEject(Elevator::SolenoidState state) {
	Requires(MyRobot::elevator);
	m_state = state;
}

void ElevSetToteEject::Initialize() {
	MyRobot::elevator->SetToteEject(m_state);
}

void ElevSetToteEject::Execute() {
}

bool ElevSetToteEject::IsFinished() {
	return true;
}

void ElevSetToteEject::End() {
}

void ElevSetToteEject::Interrupted() {
	MyRobot::robotLog->Write("Command Interrupt: ElevSetToteEject");
}
