#include "AllCommands.h"

ElevWaitForDistance::ElevWaitForDistance(double distance) {
	Requires(MyRobot::elevator);
	m_distance = distance;
}

void ElevWaitForDistance::Initialize() {
}

void ElevWaitForDistance::Execute() {
}

bool ElevWaitForDistance::IsFinished() {
	return (MyRobot::drive->GetEncoderDistance(Drive::eBoth)) >= m_distance;
}

void ElevWaitForDistance::End() {
}

void ElevWaitForDistance::Interrupted() {
	MyRobot::robotLog->Write("Command Interrupt: ElevWaitForDistance");
}
