#include "AllCommands.h"

AutoBinToZoneR::AutoBinToZoneR(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new DriveAutoDrive(&m_cancel, 0, true, Drive::eBoth, true, -30, Drive::fNewMark, 120, 0.6, 0));
}

bool AutoBinToZoneR::IsFinished() {
	return m_cancel ? true : CommandGroup::IsFinished();
}
