#include "AllCommands.h"

AutoStepBinR::AutoStepBinR(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new ElevCanGrab(Elevator::sOn, 0));																// Lower Can Grabber
	AddSequential(new WaitCommand(1.0));			// 0.60
	AddSequential(new DriveAutoDrive(&m_cancel, 0, true, Drive::eBoth, true, 0, Drive::fNewMark, 124, 0.7, 0.1));	// 100  0.8 Drive Forward
	AddSequential(new ElevCanGrab(Elevator::sOff, 0));																// Raise Can Grabber
	AddSequential(new DriveAutoDrive(&m_cancel, 0, true, Drive::eBoth, true, 0, Drive::fMark, -24, 0.6, 0));		//
}

bool AutoStepBinR::IsFinished() {
	return m_cancel ? true : CommandGroup::IsFinished();
}
