#include "AllCommands.h"

ElevSetPosition::ElevSetPosition(Elevator::ElevPosition position) {
	Requires(MyRobot::elevator);
	m_position = position;

}

void ElevSetPosition::Initialize() {
	MyRobot::elevator->SetElevPosition(m_position);
}

void ElevSetPosition::Execute() {
}

bool ElevSetPosition::IsFinished() {
	return true;
}

void ElevSetPosition::End() {
}

void ElevSetPosition::Interrupted() {
	MyRobot::robotLog->Write("Command Interrupt: ElevSetPosition");
}
