#include "AllCommands.h"

ElevSetToteCenter::ElevSetToteCenter(Elevator::SolenoidState state) {
	Requires(MyRobot::elevator);
	m_state= state;
}

void ElevSetToteCenter::Initialize() {
	MyRobot::elevator->SetToteCenter(m_state);
}

void ElevSetToteCenter::Execute() {
}

bool ElevSetToteCenter::IsFinished() {
	return true;
}

void ElevSetToteCenter::End() {
}

void ElevSetToteCenter::Interrupted() {
	MyRobot::robotLog->Write("Command Interrupt: ElevSetToteCenter");
}
